curl --request GET \
--url https://api.managem.co.uk/seller/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/seller/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/seller/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sellerId": "<string>",
"purchaseId": "<string>",
"deliveryCharge": 123,
"subtotal": 123,
"total": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"listingId": "<string>",
"orderId": "<string>",
"urn": "<string>",
"price": 123,
"quantity": 123,
"condition": "<string>",
"language": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"item": {
"urn": "<string>",
"type": "card",
"game": "Pokemon",
"title": "<string>",
"name": "<string>",
"rarity": "<string>",
"set": {
"name": "<string>",
"urn": "<string>",
"counts": {
"printed": 123,
"total": 123
},
"references": [
"<string>"
],
"size": 123,
"symbol": {
"url": "<string>"
},
"released": "<string>"
},
"series": {
"name": "<string>",
"urn": "<string>"
},
"images": [
{
"urn": "<string>",
"url": "<string>",
"illustrator": "<string>"
}
],
"alternatives": [
"<string>"
],
"metadata": [
{
"name": "<string>",
"value": "<string>",
"detail": [
"<unknown>"
]
}
],
"number": "<string>",
"description": "<string>",
"price": 123,
"available": 1
},
"status": "ACCEPTED",
"variants": [],
"comment": "<string>",
"shipmentId": "<string>"
}
],
"shipments": [
{
"id": "<string>",
"orderId": "<string>",
"trackingNumber": "<string>",
"trackingStatus": "<string>",
"trackingStatusDetail": "<string>",
"trackingUrl": "<string>",
"carrier": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"url": "<string>",
"hidden": true
}
]
}
],
"purchase": {
"deliveryAddress": {
"name": "<string>",
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"user": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
}
},
"cases": [
{
"id": "<string>",
"workflowId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"outcomes": [
{
"id": "<string>",
"caseId": "<string>",
"amount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"comment": "<string>",
"deliveryAddress": "<unknown>"
}
],
"attachments": [
{
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"orderId": "<string>",
"comment": "<string>"
}
],
"adjustments": [],
"transfers": [],
"reviews": {}
}Get order
Get full details for one seller order.
Use this endpoint for order detail screens and fulfillment workflows.
What is included:
- Order items enriched with catalog item details.
- Shipment data with attachment metadata.
- Linked case summaries, adjustments, transfers, and review context.
- Buyer user summary and delivery details for fulfillment.
Rules:
- Order must belong to the authenticated seller or
404is returned.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order ID
Response
Order
Order with items and shipments for sellers
Unique identifier for the order
Seller user ID
Purchase ID
Delivery charge in pence
Subtotal in pence
Total in pence
Timestamp when the order was created
Timestamp when the order was last updated
Items included in the order with item details
Show child attributes
Show child attributes
Shipments for the order
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Cases associated with the order
Show child attributes
Show child attributes
Order-level adjustments (e.g., delivery refunds)
Show child attributes
Show child attributes
Payouts and reversals associated with this order
Show child attributes
Show child attributes
Reviews for the order keyed by the reviewer's user ID with their rating
Show child attributes
Show child attributes